.settings-modal{
	position:fixed;
	inset:0;

	background:
	rgba(15,23,42,.45);

	backdrop-filter:blur(6px);

	display:none;
	align-items:flex-end;
	justify-content:center;

	z-index:999;
}

.settings-modal.active{
	display:flex;
}

/* PANEL */

.settings-panel{
	width:100%;
	max-width:440px;
	background:#fff;

	border-radius:
	28px 28px 0 0;

	padding:20px 18px;

	animation:
	slideUp .22s ease;

	max-height:85vh;
	overflow:auto;
}

@keyframes slideUp{

	from{
		transform:translateY(30px);
		opacity:0;
	}

	to{
		transform:translateY(0);
		opacity:1;
	}
}

/* HEADER */

.settings-header{
	display:flex;
	align-items:center;
	justify-content:space-between;
	margin-bottom:18px;
}

.settings-title{
	font-size:18px;
	font-weight:800;
}

.close-settings,
.reset-settings{
	width:32px;
	height:32px;
	border:none;
	border-radius:32px;
	background:#f1f5f9;
	font-size:18px;
	cursor:pointer;
	display:flex;
	align-items:center;
	justify-content:center;
	padding:0;
	line-height:1;

	/* color:brown */
}

/* SECTION */

.settings-section{
	margin-bottom:22px;
}

.settings-section h3{
	font-size:14px;
	margin-bottom:12px;
	color:#334155;
}

/* OPTION BUTTONS */

.option-group{
	display:flex;
	gap:10px;
	flex-wrap:wrap;
}

.option-btn{
	border:none;
	padding:7px 14px;
	border-radius:999px;
	background:#eef2ff;
	color:#2563eb;
	font-size:13px;
	font-weight:700;
	cursor:pointer;
}

.option-btn.active{
	background:#2563eb;
	color:#fff;
}

/* INFO */

.app-info{
	background:#f8fafc;
	border-radius:16px;
	padding:14px;
}

.info-row{
	display:flex;
	justify-content:space-between;
	margin-bottom:8px;
	font-size:13px;
}

.info-row:last-child{
	margin-bottom:0;
}

.info-label{
	color:#64748b;
}

.info-value{
	font-weight:700;
}

/* =========================
   Global font-size scale
========================= */

:root{
	font-size:16px;
} /* medium default */

html[data-font="small"]{
	font-size:14px;
}

html[data-font="medium"]{
	font-size:16px;
}

html[data-font="large"]{
	font-size:18px;
}

/* اجزایی که قبلاً سایزشان ثابت مانده بود */

.custom-select,
.custom-select-trigger,
.custom-options,
.custom-option,
/*selectedLoanType,*/
.input-minimal,
.result-label,
.result-value,
.result-unit,
.form-label,
.option-btn,
.primary-btn,
.secondary-btn{
	font-size:1rem;
}